#!/bin/bash
#
# Script para rastreamento de objetos nos correios
# Desenvolvendor: Jamilson S. Carmo - 08/07/09 s 16:30hs
# 
# Caso voc no use proxy retirar o parmetro -pauth="jamilson:ViViane" da linha do lynx, caso use proxy somente troque o usurio e a senha
# As vezes o site de busca dos correios fica fora do ar, com isso no retornando nada.

# Cdigo para teste: RE419472475BR

http_proxy="http://fabio:ldt10a@174.123.53.162:33128"
export http_proxy

endereco="http://websro.correios.com.br/sro_bin/txect01$.inexistente?p_itemcode=&p_lingua=001&p_teste=&p_tipo=003&z_action=&p_cod_lis=$1"
site=$(lynx -pauth="fabio:ldt10a" -dump $endereco | grep -A 2 [0-3][0-9]\/[0-1][0-9]\/"20"[0-1][0-9]\ [0-2][0-9]\:[0-5][0-9]) 


if [ "$endereco" = "" ]; then
	echo -e "\nSite temporariamente fora do ar!\n"
	exit 1
fi

if [ -e `which lynx` ]; then
	if [ $# -eq 1 ]; then
		echo -e "\n"
		
		if [ "$site" != "" ]; then
			echo -ne "$site"
		else
			echo -ne "Objetos no encontrados \nCdigo: $1"
		fi
	
		echo -e "\n\n"
	else 	
		echo -ne "\nInforme o cdigo para rastrear o produto. Ex.: RE419472475BR\n\n"
	fi	
else
	echo -e "\nVoc precisa instalar o lynx\n"
	echo -e "Como instalar o lynx: "
	echo -e "  --Debian/Ubuntu: apt-get install lynx"
	echo -e "  --Arch Linux: pacman -S lynx"
	echo -e "  --Fedora: yum install lynx"
	echo -e "  --Gentoo: emerge lynx\n"
fi
